""" Distutils script. Use 'python setup.py install' to install pxtl.
"""

import sys

# Hack old distutils versions so they don't complain about the new PyPI
# arguments.
#
if sys.version<'2.2.3':
  from distutils.dist import DistributionMetadata
  DistributionMetadata.classifiers = None
  DistributionMetadata.download_url = None


setup(
  packages= ['pxtl'],

  name= 'pxtl',
  version= '2.0',
  license= 'http://www.opensource.org/licenses/bsd-license.php',

  author= 'Andrew Clover',
  author_email= 'and@doxdesk.com',
  url= 'http://www.doxdesk.com/software/py/pxtl.html',
  download_url= 'http://www.doxdesk.com/file/software/py/pxtl.zip',

  description= 'Python XML Templating Language',
  long_description=
    'The pxtl package provides two complementary implementations of the '
    'Python XML Templating Language, an XML document type for transforming '
    'XML, HTML and other textual languages. PXTL is well-suited to rapid '
    'development both of full-scale dynamic web applications and '
    'general-purpose XML transformations.',
  classifiers= [
    'Development Status :: 5 - Production/Stable',
    'Environment :: Web Environment',
    'Intended Audience :: Developers',
    'License :: DFSG approved',
    'License :: OSI Approved :: BSD License',
    'Operating System :: OS Independent',
    'Topic :: Text Processing :: Markup :: XML',
    'Topic :: Internet :: WWW/HTTP :: Dynamic Content'
  ]
)
